<template>
  <div class="jarviswidget jarviswidget-color-blue" id="wid-id-1" data-widget-editbutton="false">

		<header>
			<span class="widget-icon"> <i class="fa fa-sitemap"></i> </span>
			<h2>Entities </h2>

		</header>
				
		<div>
				
			<!-- widget edit box -->
			<div class="jarviswidget-editbox">
				<!-- This area used as dropdown edit box -->

			</div>
			<!-- end widget edit box -->
				
									<!-- widget content -->
			<div class="widget-body">
				
				<div class="tree smart-form col-lg-5" >
					<ul>
						<li >
						<span><i class="el-icon-news"></i> {{$parent.tenant}}</span>
							<tree  :tree="subTenants" :groups="groups" :types="types" ></tree>
						</li>
					</ul>					
				</div>

				<div class="tree smart-form col-lg-7" >
					<!-- Widget ID (each widget will need unique ID)-->
					<div v-show="singleSub" class="jarviswidget" id="wid-id-3" data-widget-editbutton="false" data-widget-custombutton="false">
						
			
						<div>							
							
							
							<!-- widget content -->
							<div class="widget-body no-padding">
								
								<form id="order-form" class="smart-form" novalidate="novalidate">
									<header>
										<h3> <small></small>Update | <b>{{this.singleSub.SubTenantName}}</b></h3>
										<a @click="singleSub = false" class="pull-right"><i class="el-icon-error"></i></a>
									</header>
									

									<fieldset>
										<div class="row">
											<section class="col col-6">
												<p>Name</p>
												<label class="input"> <i class="icon-append fa fa-user"></i>
													<input
													v-validate="'required'" 
													v-model="singleSub.SubTenantName"
													type="text" name="EntityName" placeholder="Name"
													>
													<el-alert
													v-show="errors.has('EntityName')"
													:title="errors.first('EntityName') + ''"
													:closable="false"
													type="error"
													show-icon>
													</el-alert>
												</label>
											</section>
											<section class="col col-6">
												<p>BPMN ?</p>
												<label v-if="typeof singleSub.tree == 'object' && Object.keys(singleSub.tree).length < 1" class="checkbox" > Is Authorized in BPMN ?
                        						<input
												v-validate="'in:0,1'" 
												type="checkbox"
												name="BPMNAuthorization" 
												v-model="singleSub.is_bpmn"> <i></i></label>
												
												<!-- Note !-->
												<el-alert v-else
													title="This Entity has sub entities so it cannot be in your BPMN ! "
													type="warning"
													:closable="false"
													show-icon>
												</el-alert>

												<!-- Validation Alert !-->
												<el-alert
													v-show="errors.has('BPMNAuthorization')"
													:title="errors.first('BPMNAuthorization') + ''"
													:closable="false"
													type="error"
													show-icon>
												</el-alert>
											</section>

											<section class="col col-lg-12">
												<p>Parent</p>
												<label class="select">
													<select
													v-validate="'required|numeric'"
													name="Parent"
													 v-model="singleSub.parent_id">
													 <option value='0'> Root </option>
														<treeselect :singleSubParent="singleSub.parent_id" :tree="subTenants"></treeselect>
													</select>
													<el-alert
													v-show="errors.has('Parent')"
													:title="errors.first('Parent') + ''"
													:closable="false"
													type="error"
													show-icon>
												</el-alert>
												</label>
											</section>		
										</div>

									</fieldset>

									<fieldset>
										<div class="row">
											<section class="col col-6">
												<p>Group</p>
												<label class="select">
													<select 
													v-model="singleSub.idGroupSubTenants"  name="group">
														<option v-for="(group,index) in groups" :key="index" :value="group.idGroupSubTenants" >{{group.nameGroupSubTenants}}</option>
													</select> <i></i> </label>
											</section>
											<section class="col col-6">
												<p>Type</p>
												<label class="select">
													<select v-model="singleSub.idSubTenantType">
														<option v-for="(type,index) in  types" :key="index" :value="type.idSubTenantType">{{type.SubTenantType}}</option>
													</select> <i></i> </label>
											</section>
										</div>


										<section>
											<p>Description</p>
											<label  class="textarea"> <i class="icon-append fa fa-comment"></i> 										
												<textarea v-model="singleSub.SubTenantDesc" rows="5" name="comment" placeholder="Tell us about your project"></textarea> 
											</label>
										</section>
									</fieldset>
									<footer>
										<a @click.stop="updateSub($event)" type="submit" class="btn btn-primary">
											Update
										</a>
									</footer>
								</form>

							</div>
							<!-- end widget content -->
							
						</div>
						<!-- end widget div -->
						
					</div>
					<!-- end widget -->		
												
				</div>
			</div>
					<!-- end widget content -->
		</div>
				<!-- end widget div -->
	</div>
</template>


<script src="./show.js"></script>

